Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class WDC_FileView

    java.lang.Object
      javax.swing.filechooser.FileView
          com.sun.javatest.tool.WDC_FileView

    public class WDC_FileView

extends javax.swing.filechooser.FileView

Constructor Summary
`WDC_FileView(SelectedWorkDirApprover swda)`

Method Summary
`java.lang.String` | `getDescription(java.io.File f)`
`javax.swing.Icon` | `getIcon(java.io.File f)`
`java.lang.String` | `getName(java.io.File f)`
`java.lang.String` | `getTypeDescription(java.io.File f)`
`java.lang.Boolean` | `isTraversable(java.io.File f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WDC_FileView

    public WDC_FileView(SelectedWorkDirApprover swda)

Method Detail

### getDescription

    public java.lang.String getDescription(java.io.File f)

  Overrides:
    `getDescription` in class `javax.swing.filechooser.FileView`

### getIcon

    public javax.swing.Icon getIcon(java.io.File f)

  Overrides:
    `getIcon` in class `javax.swing.filechooser.FileView`

### getName

    public java.lang.String getName(java.io.File f)

  Overrides:
    `getName` in class `javax.swing.filechooser.FileView`

### getTypeDescription

    public java.lang.String getTypeDescription(java.io.File f)

  Overrides:
    `getTypeDescription` in class `javax.swing.filechooser.FileView`

### isTraversable

    public java.lang.Boolean isTraversable(java.io.File f)

  Overrides:
    `isTraversable` in class `javax.swing.filechooser.FileView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.